org.apache.velocity.tools.view.jsp.jspimpl

## Class VelocityBodyContent

- java.lang.Object
- - java.io.Writer
  - - javax.servlet.jsp.JspWriter
    - - javax.servlet.jsp.tagext.BodyContent
      - - org.apache.velocity.tools.view.jsp.jspimpl.VelocityBodyContent

All Implemented Interfaces:
  Closeable, Flushable, Appendable, AutoCloseable

    public class VelocityBodyContent
    extends javax.servlet.jsp.tagext.BodyContent

Publishes a block inside a Velocity directive as a `BodyContent`.

### Field Summary

### Fields inherited from class javax.servlet.jsp.JspWriter

`autoFlush, bufferSize, DEFAULT_BUFFER, NO_BUFFER, UNBOUNDED_BUFFER`

### Fields inherited from class java.io.Writer

`lock`

### Constructor Summary

Constructors
Constructor and Description
`VelocityBodyContent(javax.servlet.jsp.JspWriter jspWriter, org.apache.velocity.runtime.parser.node.ASTBlock block, org.apache.velocity.context.InternalContextAdapter context)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`void` `clearBuffer()`
`void` `close()`
`Reader` `getReader()`
`int` `getRemaining()`
`String` `getString()`
`void` `newLine()`
`void` `print(boolean b)`
`void` `print(char c)`
`void` `print(char[] s)`
`void` `print(double d)`
`void` `print(float f)`
`void` `print(int i)`
`void` `print(long l)`
`void` `print(Object obj)`
`void` `print(String s)`
`void` `println()`
`void` `println(boolean x)`
`void` `println(char x)`
`void` `println(char[] x)`
`void` `println(double x)`
`void` `println(float x)`
`void` `println(int x)`
`void` `println(long x)`
`void` `println(Object x)`
`void` `println(String x)`
`void` `write(char[] cbuf, int off, int len)`
`void` `writeOut(Writer out)`

### Methods inherited from class javax.servlet.jsp.tagext.BodyContent

`clearBody, flush, getEnclosingWriter`

### Methods inherited from class javax.servlet.jsp.JspWriter

`getBufferSize, isAutoFlush`

### Methods inherited from class java.io.Writer

`append, append, append, write, write, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VelocityBodyContent

    public VelocityBodyContent(javax.servlet.jsp.JspWriter jspWriter,
                               org.apache.velocity.runtime.parser.node.ASTBlock block,
                               org.apache.velocity.context.InternalContextAdapter context)

Constructor.

Parameters:
  `jspWriter` - The JSP writer to be used by default.
  `block` - The block to wrap.
  `context` - The directive context.

### Method Detail

#### getReader

    public Reader getReader()

Specified by:
  `getReader` in class `javax.servlet.jsp.tagext.BodyContent`

#### getString

    public String getString()

Specified by:
  `getString` in class `javax.servlet.jsp.tagext.BodyContent`

#### writeOut

    public void writeOut(Writer out)
                  throws IOException

Specified by:
  `writeOut` in class `javax.servlet.jsp.tagext.BodyContent`
Throws:
  `IOException`

#### newLine

    public void newLine()
                 throws IOException

Specified by:
  `newLine` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(boolean b)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(char c)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(int i)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(long l)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(float f)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(double d)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(char[] s)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(String s)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### print

    public void print(Object obj)
               throws IOException

Specified by:
  `print` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println()
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(boolean x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(char x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(int x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(long x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(float x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(double x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(char[] x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(String x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### println

    public void println(Object x)
                 throws IOException

Specified by:
  `println` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### clear

    public void clear()
               throws IOException

Specified by:
  `clear` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### clearBuffer

    public void clearBuffer()
                     throws IOException

Specified by:
  `clearBuffer` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `javax.servlet.jsp.JspWriter`
Throws:
  `IOException`

#### getRemaining

    public int getRemaining()

Specified by:
  `getRemaining` in class `javax.servlet.jsp.JspWriter`

#### write

    public void write(char[] cbuf,
                      int off,
                      int len)
               throws IOException

Specified by:
  `write` in class `Writer`
Throws:
  `IOException`